curl --request GET \
--url https://api.arize.com/v2/experiments/{experiment_id}/runs \
--header 'Authorization: Bearer <token>'{
"experiment_runs": [
{
"id": "run_001",
"example_id": "550e8400-e29b-41d4-a716-446655440000",
"output": "4",
"latency_ms": 120,
"model": "gpt-4"
},
{
"id": "run_002",
"example_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"output": "4",
"latency_ms": 150,
"model": "gpt-4"
},
{
"id": "run_003",
"example_id": "9c7f6b2e-4a3d-11e9-8bad-f5b7b8c1ae7e",
"output": "3",
"latency_ms": 130,
"model": "gpt-4"
}
],
"pagination": {
"next_cursor": "cursor_12345",
"has_more": true
}
}List runs for a given experiment.
The runs are sorted by insertion order.
Human annotations: returned in the structured annotations array on
each run. Each entry includes name, optional label / score /
text / updated_at, and an annotator (id + email) for per-user
annotations.
Pagination:
pagination for forward compatibility.pagination.next_cursor is omittedcurl --request GET \
--url https://api.arize.com/v2/experiments/{experiment_id}/runs \
--header 'Authorization: Bearer <token>'{
"experiment_runs": [
{
"id": "run_001",
"example_id": "550e8400-e29b-41d4-a716-446655440000",
"output": "4",
"latency_ms": 120,
"model": "gpt-4"
},
{
"id": "run_002",
"example_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"output": "4",
"latency_ms": 150,
"model": "gpt-4"
},
{
"id": "run_003",
"example_id": "9c7f6b2e-4a3d-11e9-8bad-f5b7b8c1ae7e",
"output": "3",
"latency_ms": 130,
"model": "gpt-4"
}
],
"pagination": {
"next_cursor": "cursor_12345",
"has_more": true
}
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
The unique identifier of the experiment A universally unique identifier
"RW50aXR5OjEyMzQ1"
Maximum items to return
1 <= x <= 500Was this page helpful?
Suggestions